
.profile-dealership-activities.separator.separator-grey::before{
  transform: skew(-35deg);
}
.profile-dealer-activities-shimmer {
  padding: 24px;
  background: var(--tertiary-light-grey);
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.profile-dealer-activities-shimmer-block {
  width: 100%;
  background: var(--background-color);
  padding: 24px 16px;
  overflow: hidden;
  display: flex;
  gap: 20px;

  .shimmer-banner {
    flex: 0 0 265px;
    height: 240px;
    background: var(--light-color);
    position: relative;
    overflow: hidden;
    border-radius: 4px;
  }

  .shimmer-content {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 24px;
  }

  .shimmer-text {
    width: 100%;
    height: 36px;
    background: var(--light-color);
    position: relative;
    overflow: hidden;
    border-radius: 4px;
  }

  .shimmer-text.small {
    width: 50%;
  }

  .shimmer-banner::before,
  .shimmer-text::before {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    height: 100%;
    width: 100%;
    background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.4) 50%, rgba(255, 255, 255, 0) 100%);
    animation: shimmer 1.5s infinite;
  }
}

@keyframes shimmer {
  0% {
    left: -100%;
  }

  100% {
    left: 100%;
  }
}

.profile-dealer-activities {
  background: var(--tertiary-light-grey);
  padding-top: 48px;
  padding-bottom: 64px;
  width: 100%;

  .splide {
    .splide__arrows {
      display: flex;
      align-items: center;
      justify-content: end;
      margin-top: 24px;
    }

    .splide__arrow {
      margin-top: 32px;
      width: 48px;
      height: 48px;
      cursor: pointer;
      padding: 14px;
      background-color: transparent;
      border: 0;
      margin-block: 0;

      &:disabled {
        opacity: 0.5;
      }
    }

    .splide__arrow--prev {
      margin-right: 16px;
      rotate: 180deg;
    }
  }
}

.profile-dealer-header {
  display: flex;
  align-items: center;
  justify-content: space-between;

  .profile-dealer-header-title {
    display: flex;
    padding-bottom: 20px;

    .prev-btn {
      display: flex;
      align-items: center;
      cursor: pointer;
      background: transparent;
      border: 0;
    }

    p {
      font-family: var(--body-heading-font-family);
      font-size: 20px;
      font-weight: 500;
      line-height: 26px;
      letter-spacing: 0.02em;
      color: var(--primary-main);
      margin: 0;
    }
  }

  .profile-dealer-header-btn {
    font-family: var(--body-font-arena);
    font-size: 12px;
    font-weight: 400;
    line-height: 16px;
    text-align: left;
    float: right;
  }

  .profile-dealer-header-a-tag {
    text-decoration: none;
    color: var(--primary-main);
  }
}

.profile-dealer-list {
  display: flex;
  position: relative;
  background: var(--tertiary-white);
  width: 100%;
  padding: 24px 16px 16px 16px;
  margin-bottom: 10px;
}

.profile-dealer-list-img {
  display: none;
}

.profile-dealier-list-details {
  .expanded-only {
    display: none;
  }
  &.expanded {
    .expanded-only {
      display: block;
    }
  }

  .status-wrapper {
    .status-text {
        span {
          font-weight: bold;
        }
      }
      .mob-icon-wrapper {
        font-size: 14px;
        padding: 6px 12px;
      }
    }
  .completed, .success {
      background: var(--secondary-toast-arena-green);
      color: var(--tertiary-black);

    }

    .upcoming {
      background: var(--secondary-blue);
      color: var(--primary-blue);
    }

    .cancelled {
      background: var(--red-shade-3);
      color: var(--secondary-main);
    }
}

.profile-dealer-toast {
  font-family: var(--body-font-arena);
  font-size: 12px;
  line-height: 16px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
  padding: 8px 16px;

  .profile-dealer-status {
    font-weight: 500;
  }

  .profile-dealer-msg {
    font-weight: 400;
  }
}

.profile-dealer-name {
  font-family: var(--body-font-arena);
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
  color: var(--text-color);
  padding: 16px 0;
}

.profile-dealer-section {
  color: var(--secondary-main);
  font-family: var(--body-font-arena);
  font-size: 12px;
  font-weight: 400;
  line-height: 16px;
  text-align: left;
  row-gap: 24px;
  display: flex;
  flex-wrap: wrap;
  padding-top: 56px;
  margin-bottom: 24px;
  
  .profile-dealer-section-wrapper {
    width: 50%;
  }
  .mob-icon-wrapper {
    display: flex;
    justify-content: center;
    position: absolute;
    top: 24px;
    left: 16px;
    flex: none;
    padding: 10px;
    @media (width >=1024px) {
      left: 24px;
    }
    &.success {
      background: var(--toast-green);
      color: var(--toast-green-main);
    }

    &.cancelled {
      background: var(--secondary-red);
      color: var(--primary-red);
    }
    .mob-icon {
      background-size: contain;
      background-repeat: no-repeat;
      background-color: transparent;
      border: none;
      width: 30px;
      height: 30px;
      &.up-arrow{
        background-image: url(/icons/footer-expand.svg);
      }
      &.down-arrow{
        background-image: url(/icons/footer-collapes.svg);
      }
    }
  }
}

.profile-dealer-details-phone {
  display: inline-flex;
  align-items: center;

  span {
    display: inline-block;
    padding-left: 12px;
  }
}

.profile-dealer-details-phone::before {
  border-radius: 24px;
  content: '';
  display: inline-block;
  height: 20px;
  width: 20px;
  background-image: url('/icons/phone_icon.svg');
}

.profile-dealer-details-email {
  padding: 8px 0 0 0;
  display: inline-flex;
  align-items: center;

  span {
    display: inline-block;
    padding: 0 8px 0 12px;
  }
}

.profile-dealer-details-email::before {
  border-radius: 24px;
  content: '';
  display: inline-block;
  height: 20px;
  width: 20px;
  background-image: url('/icons/email_icon.svg');
}

.profile-dealer-details-email img {
  content: '';
  display: inline-block;
  width: 12px;
  height: 12px;
  background-image: url('/icons/copy_icon.svg');
}

.profile-dealer-saparator {
  margin-top: 16px;
  border: 1px solid var(--tertiary-medium-grey);
}

.profile-dealer-schdule-block {
  display: flex;
  font-family: var(--body-font-arena);
  line-height: 20px;
  text-align: left;
  padding-top: 20px;
  gap: 70px;

  .profile-dealer-schdule-section {
    .profile-dealer-schdule-label {
      font-size: 12px;
      font-weight: 300;
      text-transform: uppercase;
    }

    .profile-dealer-schdule-value {
      font-size: 14px;
      font-weight: 400;
      padding-top: 4px;
    }
  }
}
.profile-booking-details-btn {
  align-self: end;
}
.profile-dealer-details-btn,.profile-booking-details-btn {
  font-family: var(--body-font-arena);
  font-size: 12px;
  font-weight: 400;
  line-height: 20px;
  text-align: center;
  text-underline-position: from-font;
  float: right;
  padding-top: 0;
  display: inline-flex;
  align-items: center;
  gap: 4px;

  button {
    background: var(--primary-blue-700);
    border: 1px solid var(--primary-blue-700);
    color: var(--secondary-gray-20);
    text-align: center;
    font-family: var(--body-font-arena);
    padding: 11px 16px;
    cursor: pointer;
  }
}

.profile-dealer-fields-label {
}

@media (width >=768px) {
  .profile-dealer-section {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 0;
  }

  .profile-dealer-section > .profile-dealer-section-wrapper {
    width: 50%;
  }

  .profile-dealer-schdule-block {
    display: flex;
    gap: 0px;
  }

  .profile-dealer-schdule-section {
    width: 50%;
    display: flex;
    flex-direction: column;
  }

  .profile-dealer-details-email {
    padding: 0px;
  }
}

@media (width >=1024px) {
  .profile-dealer-activities {
    padding-top: 80px;
    padding-bottom: 104px;
    overflow: hidden;
    .splide {
      .splide__arrows {
        margin-top: 32px;
      }
    }
  }

  .profile-dealer-activities-shimmer {
    padding: 56px;
    height: 596px;
  }

  .card-list-teaser {
    .dealership_spide_track {
      overflow: visible;
    }
  }

  .card-list {
    width: 100%;
  }

  .profile-dealer-list {
    display: flex;
    width: 100%;
    flex-shrink: 0;
    gap: 22px;
    padding: 24px;
  }

  .profile-dealer-list-img {
    width: 265px;
    flex-shrink: 0;
    display: block;

    img {
      aspect-ratio: 1/1;
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }

  .profile-dealer-saparator {
    display: none;
  }

  .profile-dealer-header {
    width: 100%;
    .profile-dealer-header-btn {
      font-size: 16px;
      line-height: 20px;
    }

    .profile-dealer-header-title {
      width: 90%;

      p {
        font-size: 36px;
        line-height: 43px;
      }
    }
  }

  .profile-dealer-fields-label {
    display: block;
    font-family: var(--body-font-arena);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
    text-transform: uppercase;
  }

  .profile-dealier-list-details {
    width: 100%;
    display: flex;
    flex-direction: column;
  }

  .profile-dealer-toast {
    width: 100%;
    margin-bottom: 24px;
    font-size: 14px;
    line-height: 20px;
    padding-left: 24px;
  }

  .profile-dealer-details-phone::before {
    display: none;
  }

  .profile-dealer-details-email::before {
    display: none;
  }

  .profile-dealer-details-email img {
    display: none;
  }

  .profile-dealer-section {
    display: flex;
    padding-bottom: 24px;
    line-height: 20px;
  }

  .profile-dealer-section > .profile-dealer-section-wrapper{
    width: 0;
  }

  .profile-dealer-name {
    font-size: 16px;
    font-weight: 400;
    padding-top: 4px;
    padding-bottom: 0px;
    padding-right: 16px;
  }

  .profile-dealer-details-phone,
  .profile-dealer-details-email,
  .profile-dealer-fields-value {
    padding-top: 4px;

    span {
      padding-left: 0;
      font-size: 16px;
      color: var(--primary-main);
    }
  }

  .profile-dealer-details-email {
    span {
      word-break: break-word;
    }
  }

  .profile-dealer-schdule-block {
    gap: 0;
    padding-top: 0px;

    .profile-dealer-schdule-section {
      width: 0;
      margin: 0;
      .profile-dealer-schdule-label {
        font-size: 14px;
        font-weight: 400;
        text-transform: uppercase;
        color: var(--secondary-main);
      }
      .profile-dealer-schdule-value {
        font-size: 16px;
      }
    }
  }

  .profile-dealer-schdule-section,
  .profile-dealer-section-wrapper {
    min-width: 33%;
  }

  .profile-dealer-details-btn {
    padding-top: 24px;
    margin-top: auto;
    margin-left: auto;
  }
}

@media (width >=1920px) {
  .profile-dealer-list {
    gap: 102px;
  }
  .profile-dealer-list-img {
    width: 300px;

    img {
      aspect-ratio: 1/1;
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }
}

.overflow-hidden {
  overflow: hidden !important;
}


.profile-booking-wrapper .toast-msg:not(.hidden) {
    display: flex;
    background: var(--light-color);
    align-items: center;
    justify-content: space-between;
    padding: 6px 12px;
    margin: 10px 0 0;
    button {
      background: transparent;
      border: 0;
      cursor: pointer;
      margin: 0;
      padding: 0;
      width: 20px;
      height: 20px;
      img {
        width: 100%;
        height: 100%;
      }
    }
    p {
      font-family: var(--body-font-arena);
      font-size: 12px;
      font-weight: var(--fw-400);
      line-height: 16px;
      text-align: left;
      margin: 0;
    }
}

.cmp-cancel-ebooking .cancel-ebooking-modal {
  max-height: 90%;
}